#907 Allow nested include for perl version >= 5.6

7.0
open
nobody
None
1
2013-04-09
2013-04-09
Niek Beernink
No

I'm running into an old bug, filed here https://sourceforge.net/p/awstats/bugs/406/, when I try to deploy awstats via puppet and have a conf file per vhost. (perl version v5.10.1 on Centos 6.4)

If I apply the patch by Nick Leverton (http://anonscm.debian.org/gitweb/?p=collab-maint/awstats.git;a=blob;f=debian/patches/1004_perl_version.patch) awstats works fine.

So, as per request (https://sourceforge.net/p/awstats/bugs/406/?limit=10&page=1#8c0a) I'm resubmitting this for review. Can Nick's patch be merged?

Discussion